

Remove remaining references to address_space.clean_pages.


---

 25-akpm/fs/inode.c              |    1 -
 25-akpm/include/linux/fs.h      |    1 -
 25-akpm/include/linux/pagemap.h |    1 -
 25-akpm/mm/swap_state.c         |    1 -
 25-akpm/mm/truncate.c           |    4 +---
 fs/bio.c                        |    0 
 mm/filemap.c                    |    0 
 mm/page_alloc.c                 |    0 
 8 files changed, 1 insertion(+), 7 deletions(-)

diff -puN fs/bio.c~stop-using-clean-pages fs/bio.c
diff -puN fs/inode.c~stop-using-clean-pages fs/inode.c
--- 25/fs/inode.c~stop-using-clean-pages	Wed Mar 10 15:47:22 2004
+++ 25-akpm/fs/inode.c	Wed Mar 10 15:47:22 2004
@@ -176,7 +176,6 @@ void inode_init_once(struct inode *inode
 {
 	memset(inode, 0, sizeof(*inode));
 	INIT_HLIST_NODE(&inode->i_hash);
-	INIT_LIST_HEAD(&inode->i_data.clean_pages);
 	INIT_LIST_HEAD(&inode->i_dentry);
 	INIT_LIST_HEAD(&inode->i_devices);
 	sema_init(&inode->i_sem, 1);
diff -puN mm/swap_state.c~stop-using-clean-pages mm/swap_state.c
--- 25/mm/swap_state.c~stop-using-clean-pages	Wed Mar 10 15:47:22 2004
+++ 25-akpm/mm/swap_state.c	Wed Mar 10 15:47:22 2004
@@ -26,7 +26,6 @@ extern struct address_space_operations s
 struct address_space swapper_space = {
 	.page_tree	= RADIX_TREE_INIT(GFP_ATOMIC),
 	.tree_lock	= SPIN_LOCK_UNLOCKED,
-	.clean_pages	= LIST_HEAD_INIT(swapper_space.clean_pages),
 	.a_ops		= &swap_aops,
 	.backing_dev_info = &swap_backing_dev_info,
 	.i_mmap		= LIST_HEAD_INIT(swapper_space.i_mmap),
diff -puN mm/truncate.c~stop-using-clean-pages mm/truncate.c
--- 25/mm/truncate.c~stop-using-clean-pages	Wed Mar 10 15:47:22 2004
+++ 25-akpm/mm/truncate.c	Wed Mar 10 15:47:22 2004
@@ -175,10 +175,8 @@ void truncate_inode_pages(struct address
 		pagevec_release(&pvec);
 	}
 
-	if (lstart == 0) {
+	if (lstart == 0)
 		WARN_ON(mapping->nrpages);
-		WARN_ON(!list_empty(&mapping->clean_pages));
-	}
 }
 
 EXPORT_SYMBOL(truncate_inode_pages);
diff -puN include/linux/fs.h~stop-using-clean-pages include/linux/fs.h
--- 25/include/linux/fs.h~stop-using-clean-pages	Wed Mar 10 15:47:22 2004
+++ 25-akpm/include/linux/fs.h	Wed Mar 10 15:47:22 2004
@@ -323,7 +323,6 @@ struct address_space {
 	struct inode		*host;		/* owner: inode, block_device */
 	struct radix_tree_root	page_tree;	/* radix tree of all pages */
 	spinlock_t		tree_lock;	/* and spinlock protecting it */
-	struct list_head	clean_pages;	/* list of clean pages */
 	unsigned long		nrpages;	/* number of total pages */
 	struct address_space_operations *a_ops;	/* methods */
 	struct list_head	i_mmap;		/* list of private mappings */
diff -puN include/linux/pagemap.h~stop-using-clean-pages include/linux/pagemap.h
--- 25/include/linux/pagemap.h~stop-using-clean-pages	Wed Mar 10 15:47:22 2004
+++ 25-akpm/include/linux/pagemap.h	Wed Mar 10 15:47:22 2004
@@ -142,7 +142,6 @@ static inline unsigned long get_page_cac
 static inline void ___add_to_page_cache(struct page *page,
 		struct address_space *mapping, unsigned long index)
 {
-	list_add(&page->list, &mapping->clean_pages);
 	page->mapping = mapping;
 	page->index = index;
 
diff -puN mm/filemap.c~stop-using-clean-pages mm/filemap.c
diff -puN mm/page_alloc.c~stop-using-clean-pages mm/page_alloc.c

_
